> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List triggers



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/triggers
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/triggers:
    get:
      tags:
        - Triggers
      summary: List triggers
      operationId: listTriggersWorkspaceTokenAPI
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                          x-native-type: date
                        updatedAt:
                          type: string
                          format: date-time
                          x-native-type: date
                        name:
                          type: string
                        active:
                          type: boolean
                        folderId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        actions:
                          type: array
                          items:
                            anyOf:
                              - {}
                              - type: 'null'
                        workspaceId:
                          type: string
                        conditions:
                          type: array
                          items:
                            anyOf:
                              - {}
                              - type: 'null'
                      required:
                        - id
                        - createdAt
                        - updatedAt
                        - name
                        - active
                        - folderId
                        - actions
                        - workspaceId
                        - conditions
                required:
                  - data
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````